#! /usr/bin/env python

import sys


# the memoization table ~ [('subseq', ind)] -> num of occurence of subseq in WORD[ind:]
MEM = {}


def num_subseq_of(sub, word):
    """Return the number of times sub appears as a subsequence of word."""
    global MEM

    # base case: sub is a character
    if len(sub) == 1:
        #return word.count(sub)  # bypassing mem?
        try:
            return MEM[(sub,word)]
        except KeyError:
            count = word.count(sub)
            MEM[(sub,word)] = count
            return count

    count = 0
    s = sub[0]
    for i in xrange(len(word)):
        c = word[i]
        if c == s:
            try:
                count += MEM[(sub[1:], word[(i+1):])]
            except KeyError:
                subsub = sub[1:]
                subword = word[(i+1):]
                subseqcount = num_subseq_of(subsub, subword)
                MEM[subsub, subword] = subseqcount
                count += subseqcount
        
    return count


def _trunc(num, max=4):
    repr = str(num)
    length = len(repr)

    if length < max:
        diff = max - length
        for i in xrange(diff):
            repr =  '0' + repr
    elif length > max:
        slice = length - max
        repr = repr[slice:]

    return repr


def main(argv):
    global MEM
    #global WORD

    if len(argv) == 1:
        input = sys.stdin
    else:
        input = open(argv[1])

    firstline = input.readline()
    N = int(firstline)

    for i in xrange(N):
        MEM = {}
        word = input.readline()
        num = num_subseq_of('welcome to code jam', word)
        print 'Case #%d: %s' % ((i + 1), _trunc(num))

if __name__ == '__main__':
    sys.exit(main(sys.argv))
